rawurlencode
urlencode
URL Functions
PHP Manual

# urldecode

Decodes URL-encoded string

### Description

string urldecode ( string `$str` )

Decodes any %## encoding in the given string. Plus symbols ('+') are decoded to a space character.

### Parameters

`str`

  The string to be decoded.

### Return Values

Returns the decoded string.

### Examples

Example #1 urldecode example

`<?php
$query = "my=apples&are=green+and+red";
foreach (explode('&', $query) as $chunk) {
$param = explode("=", $chunk);
if ($param) {
printf("Value for parameter \"%s\" is \"%s\"<br/>\n", urldecode($param[0]), urldecode($param[1]));
}
}
?>`

### Notes

Warning

The superglobals $_GET and $_REQUEST are already decoded. Using urldecode on an element in $_GET or $_REQUEST could have unexpected and dangerous results.

### See Also

- urlencode
- rawurlencode
- rawurldecode
- » RFC 3986